Subject: RFC 4151

From: Alfred Hönes <[email-masked]>
Date: Sun, 6 Nov 2005 11:23:26 +0100 (MEZ)

Hello,
I'd like to send you a few comments on the new RFC 4151
authored by you.

First of all, after all the embarrassment with the abuse
of resolvable (mostly HTTP) URIs -- i.e. "URL"s in the
historical sense -- to identify abstract objects, methods,
algorithms, and the like, I appreciate the idea to have
something like those 'tag' URIs at hand for the identification
of abstract resources, whenever the originators believe the
use of natural choice (OIDs) to be improper for the disired
purpose.
But wouldn't it have been more natural and appropriate (to make
the distinction to [resolvable/accessible] URIs clearly visible)
to define an URN namespace for this purpose (resulting in tags
of the form "urn:tag:...") instead of a general URI scheme?

Further, there are two issues with References in RFC 4151:

o   Once more, this new RFC (like others!) normatively refers to
    the now obsolete RFC 2234.
    RFC 4234, published several weeks before(!) RFC 4151, has
    superseded and formally obsoleted RFC 2234 on the IETF
    Standards Track and should be named as Ref. [2] in RFC 4151.

o   Is the Informative Ref. [5] of RFC 4151 meant to point at
    RFC 4122 ? -- If so, it should !

It might be considered to issue an appropriate RFC Errata Note
for these issues.
Please comment.

Best Regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+

---

From: Sandro Hawke <[email-masked]>
Date: Sun, 06 Nov 2005 10:50:08 -0500

> of the form "urn:tag:...") instead of a general URI scheme?

No, URNs are still generally seen as identifiers for information
resources (documents), just not ones associated with domain names.
There are URL resolution mechanisms, right?

Have you read RFC 3305?

    - sandro